### Hierarchy

- unknown
  - ArbitratorTrade

## Index

### Constructors

- constructor

### Methods

- clearTrade
- getTrade
- hasTrade
- serializeBinary
- setTrade
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ArbitratorTrade(): ArbitratorTrade

- Inherited from jspb.Message.constructor

  #### Returns ArbitratorTrade

## Methods

### clearTrade

- clearTrade(): ArbitratorTrade

- - Defined in src/protobuf/pb_pb.d.ts:6967

  #### Returns ArbitratorTrade

### getTrade

- getTrade(): undefined | Trade

- - Defined in src/protobuf/pb_pb.d.ts:6964

  #### Returns undefined | Trade

### hasTrade

- hasTrade(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6966

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6969

  #### Returns Uint8Array

### setTrade

- setTrade(value?: Trade ): ArbitratorTrade

- - Defined in src/protobuf/pb_pb.d.ts:6965

  #### Parameters

  - ##### Optional value: Trade

  #### Returns ArbitratorTrade

### toObject

- toObject(includeInstance?: boolean): ArbitratorTrade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6970

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ArbitratorTrade . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ArbitratorTrade

- - Defined in src/protobuf/pb_pb.d.ts:6973

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ArbitratorTrade

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ArbitratorTrade, reader: BinaryReader): ArbitratorTrade

- - Defined in src/protobuf/pb_pb.d.ts:6974

  #### Parameters

  - ##### message: ArbitratorTrade

  - ##### reader: BinaryReader

  #### Returns ArbitratorTrade

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ArbitratorTrade, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6972

  #### Parameters

  - ##### message: ArbitratorTrade

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ArbitratorTrade ): ArbitratorTrade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6971

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ArbitratorTrade

  #### Returns ArbitratorTrade . AsObject

Generated using TypeDoc